/*
 *  load_nb.c: Noise bridge functions, list management etc.
 *
 *  Copyright (C) 1997-2005 John Coppens (john@jcoppens.com)
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2 of
 *  the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#include <gtk/gtk.h>
#include <math.h>

#include "types.h"

void	initialize_loadtable(void);
void    get_load_selected(GtkTreeView *treeview);
int	load_nb_valid(load_definition *dest);
void	load_nb_append(load_definition *tload);
void    load_nb_update(load_definition *tload);
void	load_nb_modified(int which);
void	active_load_nb_update();

extern	GtkTreeIter	active_ld_iter;
extern	load_definition	active_load;
extern	GtkWidget	*ld_view;
